﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Contracts;
using DynamicServiceFactory;
using System.ServiceModel.Description;
using System.ServiceModel;

namespace CalcClient
{
    class Program
    {
        static void Main(string[] args)
        {

          // ChannelFactory<ICalculator> cf= new ChannelFactory<ICalculator>("test");
            ICalculator calcService = DynamicChannelFactory.CreateChannel<ICalculator>();
            if (calcService !=null)
            {
                Console.WriteLine(calcService.Add(1, 2));
                Console.WriteLine(calcService.Add(1, 3));
                Console.WriteLine(calcService.Add(1, 4));
                Console.WriteLine(calcService.Add(1, 5));
                ICalculatorMaintenance calcMainService = DynamicChannelFactory.CreateChannel<ICalculatorMaintenance>();
                Console.WriteLine("Service is running {0}",calcMainService.StatusOk()?"Ok":"Not ok");
            }
            else
            {
                Console.WriteLine("service not found");
            }

            

        }

        
    }
}
