﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel.Description;

namespace DynamicServiceFactory
{
  public  class DynamicBindingEndpoint:ServiceEndpoint
    {
        // only the contract kan vary, the binding and address will determined at runtime
        public DynamicBindingEndpoint(ContractDescription contract):base(contract)
        {
            ServiceEndpoint ep = DynamicChannelFactory.GetFullEndpointMetaData(contract.ContractType);
            this.Address = ep.Address;
            this.Binding = ep.Binding;
            this.IsSystemEndpoint = false;
        }

    }
}
